## Deprecated interface

Deprecated interface

## Functions

gboolean | qmi_device_close ()
void | qmi_utils_read_guint8_from_buffer ()
void | qmi_utils_read_gint8_from_buffer ()
void | qmi_utils_read_guint16_from_buffer ()
void | qmi_utils_read_gint16_from_buffer ()
void | qmi_utils_read_guint32_from_buffer ()
void | qmi_utils_read_gint32_from_buffer ()
void | qmi_utils_read_guint64_from_buffer ()
void | qmi_utils_read_gint64_from_buffer ()
void | qmi_utils_read_sized_guint_from_buffer ()
void | qmi_utils_read_gfloat_from_buffer ()
void | qmi_utils_read_string_from_buffer ()
void | qmi_utils_read_fixed_size_string_from_buffer ()
void | qmi_utils_write_guint8_to_buffer ()
void | qmi_utils_write_gint8_to_buffer ()
void | qmi_utils_write_guint16_to_buffer ()
void | qmi_utils_write_gint16_to_buffer ()
void | qmi_utils_write_guint32_to_buffer ()
void | qmi_utils_write_gint32_to_buffer ()
void | qmi_utils_write_guint64_to_buffer ()
void | qmi_utils_write_gint64_to_buffer ()
void | qmi_utils_write_sized_guint_to_buffer ()
void | qmi_utils_write_string_to_buffer ()
void | qmi_utils_write_fixed_size_string_to_buffer ()
gboolean | qmi_message_get_version_introduced ()
gchar * | qmi_message_get_printable ()
gboolean | qmi_message_dms_set_service_programming_code_input_get_new ()
gboolean | qmi_message_dms_set_service_programming_code_input_set_new ()
gboolean | qmi_message_dms_set_service_programming_code_input_get_current ()
gboolean | qmi_message_dms_set_service_programming_code_input_set_current ()
gboolean | qmi_message_tlv_read_gfloat ()
gboolean | qmi_message_uim_change_pin_input_get_session_information ()
gboolean | qmi_message_uim_change_pin_input_set_session_information ()
gboolean | qmi_message_uim_get_file_attributes_input_get_session_information ()
gboolean | qmi_message_uim_get_file_attributes_input_set_session_information ()
gboolean | qmi_message_uim_read_record_input_get_session_information ()
gboolean | qmi_message_uim_read_record_input_set_session_information ()
gboolean | qmi_message_uim_read_transparent_input_get_session_information ()
gboolean | qmi_message_uim_read_transparent_input_set_session_information ()
gboolean | qmi_message_uim_set_pin_protection_input_get_session_information ()
gboolean | qmi_message_uim_set_pin_protection_input_set_session_information ()
gboolean | qmi_message_uim_unblock_pin_input_get_session_information ()
gboolean | qmi_message_uim_unblock_pin_input_set_session_information ()
gboolean | qmi_message_uim_verify_pin_input_get_session_information ()
gboolean | qmi_message_uim_verify_pin_input_set_session_information ()

## Types and Values

#define | QMI_NAS_SIM_REJECT_STATE_SIM_VAILABLE
#define | QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT
#define | QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE
#define | QMI_WDS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE
#define | QMI_WDS_CDMA_CAUSE_CODE_NETWORK_FAILURE
#define | QMI_WDS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID
#define | QMI_WDS_CDMA_CAUSE_CODE_NETWORK_OTHER
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_BUSY
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OTHER
#define | QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE
#define | QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY
#define | QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_ENCODING
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_OTHER
#define | QMI_PROTOCOL_ERROR_QOS_UNAVAILABLE

## Description

These types and methods are flagged as deprecated and therefore shouldn't be used in newly written code. They are provided to avoid innecessary API/ABI breaks, for compatibility purposes only.

## Functions

### qmi_device_close ()

    gboolean
    qmi_device_close (QmiDevice *self,
                      GError **error);

`qmi_device_close` has been deprecated since version 1.18 and should not be used in newly-written code.

Use `qmi_device_close_async()` instead.

Synchronously closes a QmiDevice, preventing any further I/O.

If this device was opened with `QMI_DEVICE_OPEN_FLAGS_MBIM` , this operation will not wait for the response of the underlying MBIM close sequence.

Closing a QmiDevice multiple times will not return an error.

#### Parameters

self | a QmiDevice |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if successful, `FALSE` if `error` is set.

Since: 1.0

### qmi_utils_read_guint8_from_buffer ()

    void
    qmi_utils_read_guint8_from_buffer (const guint8 **buffer,
                                       guint16 *buffer_size,
                                       guint8 *out);

`qmi_utils_read_guint8_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_guint8()` instead.

Reads an unsigned byte from the buffer.

The user needs to make sure that at least 1 byte is available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 1 byte read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_gint8_from_buffer ()

    void
    qmi_utils_read_gint8_from_buffer (const guint8 **buffer,
                                      guint16 *buffer_size,
                                      gint8 *out);

`qmi_utils_read_gint8_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_gint8()` instead.

Reads a signed byte from the buffer.

The user needs to make sure that at least 1 byte is available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 1 byte read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_guint16_from_buffer ()

    void
    qmi_utils_read_guint16_from_buffer (const guint8 **buffer,
                                        guint16 *buffer_size,
                                        QmiEndian endian,
                                        guint16 *out);

`qmi_utils_read_guint16_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_guint16()` instead.

Reads an unsigned 16-bit integer from the buffer. The number in the buffer is expected to be given in the byte order specificed by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least 2 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 2 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_gint16_from_buffer ()

    void
    qmi_utils_read_gint16_from_buffer (const guint8 **buffer,
                                       guint16 *buffer_size,
                                       QmiEndian endian,
                                       gint16 *out);

`qmi_utils_read_gint16_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_gint16()` instead.

Reads a signed 16-bit integer from the buffer. The number in the buffer is expected to be given in the byte order specified by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least 2 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 2 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_guint32_from_buffer ()

    void
    qmi_utils_read_guint32_from_buffer (const guint8 **buffer,
                                        guint16 *buffer_size,
                                        QmiEndian endian,
                                        guint32 *out);

`qmi_utils_read_guint32_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_guint32()` instead.

Reads an unsigned 32-bit integer from the buffer. The number in the buffer is expected to be given in the byte order specified by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least 4 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 4 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_gint32_from_buffer ()

    void
    qmi_utils_read_gint32_from_buffer (const guint8 **buffer,
                                       guint16 *buffer_size,
                                       QmiEndian endian,
                                       gint32 *out);

`qmi_utils_read_gint32_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_gint32()` instead.

Reads a signed 32-bit integer from the buffer. The number in the buffer is expected to be given in the byte order specified by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least 4 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 4 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_guint64_from_buffer ()

    void
    qmi_utils_read_guint64_from_buffer (const guint8 **buffer,
                                        guint16 *buffer_size,
                                        QmiEndian endian,
                                        guint64 *out);

`qmi_utils_read_guint64_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_guint64()` instead.

Reads an unsigned 64-bit integer from the buffer. The number in the buffer is expected to be given in the byte order specified by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least 8 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 8 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_gint64_from_buffer ()

    void
    qmi_utils_read_gint64_from_buffer (const guint8 **buffer,
                                       guint16 *buffer_size,
                                       QmiEndian endian,
                                       gint64 *out);

`qmi_utils_read_gint64_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_gint64()` instead.

Reads a signed 64-bit integer from the buffer. The number in the buffer is expected to be given in the byte order specified by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least 8 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 8 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_sized_guint_from_buffer ()

    void
    qmi_utils_read_sized_guint_from_buffer
                                   (const guint8 **buffer,
                                    guint16 *buffer_size,
                                    guint n_bytes,
                                    QmiEndian endian,
                                    guint64 *out);

`qmi_utils_read_sized_guint_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_sized_guint()` instead.

Reads a `n_bytes` -sized unsigned integer from the buffer. The number in the buffer is expected to be given in the byte order specified by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least `n_bytes` bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the `n_bytes` bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
n_bytes | number of bytes to read. |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_gfloat_from_buffer ()

    void
    qmi_utils_read_gfloat_from_buffer (const guint8 **buffer,
                                       guint16 *buffer_size,
                                       gfloat *out);

`qmi_utils_read_gfloat_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_gfloat()` instead.

Reads a 32-bit floating-point number from the buffer.

The user needs to make sure that at least 4 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 4 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
out | return location for the read variable. |

Since: 1.10

### qmi_utils_read_string_from_buffer ()

    void
    qmi_utils_read_string_from_buffer (const guint8 **buffer,
                                       guint16 *buffer_size,
                                       guint8 length_prefix_size,
                                       guint16 max_size,
                                       gchar **out);

`qmi_utils_read_string_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_string()` instead.

Reads a string from the buffer.

If `length_prefix_size` is greater than 0, only the amount of bytes given there will be read. Otherwise, up to `buffer_size` bytes will be read.

Also note that both `buffer` and `buffer_size` get updated after the write.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
length_prefix_size | size of the length prefix integer in bits. |
max_size | maximum number of bytes to read, or 0 to read all available bytes. |
out | return location for the read string. The returned value should be freed with `g_free()`. |

Since: 1.0

### qmi_utils_read_fixed_size_string_from_buffer ()

    void
    qmi_utils_read_fixed_size_string_from_buffer
                                   (const guint8 **buffer,
                                    guint16 *buffer_size,
                                    guint16 fixed_size,
                                    gchar *out);

`qmi_utils_read_fixed_size_string_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_fixed_size_string()` instead.

Reads a `fixed_size` -sized string from the buffer into the `out` buffer.

Also note that both `buffer` and `buffer_size` get updated after the `fixed_size` bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
fixed_size | number of bytes to read. |
out | buffer preallocated by the client, with at least `fixed_size` bytes. |

Since: 1.0

### qmi_utils_write_guint8_to_buffer ()

    void
    qmi_utils_write_guint8_to_buffer (guint8 **buffer,
                                      guint16 *buffer_size,
                                      guint8 *in);

`qmi_utils_write_guint8_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_guint8()` instead.

Writes an unsigned byte into the buffer.

The user needs to make sure that the buffer is at least 1 byte long.

Also note that both `buffer` and `buffer_size` get updated after the 1 byte write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_gint8_to_buffer ()

    void
    qmi_utils_write_gint8_to_buffer (guint8 **buffer,
                                     guint16 *buffer_size,
                                     gint8 *in);

`qmi_utils_write_gint8_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_gint8()` instead.

Writes a signed byte into the buffer.

The user needs to make sure that the buffer is at least 1 byte long.

Also note that both `buffer` and `buffer_size` get updated after the 1 byte write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_guint16_to_buffer ()

    void
    qmi_utils_write_guint16_to_buffer (guint8 **buffer,
                                       guint16 *buffer_size,
                                       QmiEndian endian,
                                       guint16 *in);

`qmi_utils_write_guint16_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_guint16()` instead.

Writes an unsigned 16-bit integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least 2 bytes long.

Also note that both `buffer` and `buffer_size` get updated after the 2 bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_gint16_to_buffer ()

    void
    qmi_utils_write_gint16_to_buffer (guint8 **buffer,
                                      guint16 *buffer_size,
                                      QmiEndian endian,
                                      gint16 *in);

`qmi_utils_write_gint16_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_gint16()` instead.

Writes a signed 16-bit integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least 2 bytes long.

Also note that both `buffer` and `buffer_size` get updated after the 2 bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_guint32_to_buffer ()

    void
    qmi_utils_write_guint32_to_buffer (guint8 **buffer,
                                       guint16 *buffer_size,
                                       QmiEndian endian,
                                       guint32 *in);

`qmi_utils_write_guint32_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_guint32()` instead.

Writes an unsigned 32-bit integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least 4 bytes long.

Also note that both `buffer` and `buffer_size` get updated after the 4 bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_gint32_to_buffer ()

    void
    qmi_utils_write_gint32_to_buffer (guint8 **buffer,
                                      guint16 *buffer_size,
                                      QmiEndian endian,
                                      gint32 *in);

`qmi_utils_write_gint32_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_gint32()` instead.

Writes a signed 32-bit integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least 4 bytes long.

Also note that both `buffer` and `buffer_size` get updated after the 4 bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_guint64_to_buffer ()

    void
    qmi_utils_write_guint64_to_buffer (guint8 **buffer,
                                       guint16 *buffer_size,
                                       QmiEndian endian,
                                       guint64 *in);

`qmi_utils_write_guint64_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_guint64()` instead.

Writes an unsigned 64-bit integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least 8 bytes long.

Also note that both `buffer` and `buffer_size` get updated after the 8 bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_gint64_to_buffer ()

    void
    qmi_utils_write_gint64_to_buffer (guint8 **buffer,
                                      guint16 *buffer_size,
                                      QmiEndian endian,
                                      gint64 *in);

`qmi_utils_write_gint64_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_gint64()` instead.

Writes a signed 64-bit integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least 8 bytes long.

Also note that both `buffer` and `buffer_size` get updated after the 8 bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_sized_guint_to_buffer ()

    void
    qmi_utils_write_sized_guint_to_buffer (guint8 **buffer,
                                           guint16 *buffer_size,
                                           guint n_bytes,
                                           QmiEndian endian,
                                           guint64 *in);

`qmi_utils_write_sized_guint_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_sized_guint()` instead.

Writes a `n_bytes` -sized unsigned integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least `n_bytes` bytes long.

Also note that both `buffer` and `buffer_size` get updated after the `n_bytes` bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
n_bytes | number of bytes to write. |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_string_to_buffer ()

    void
    qmi_utils_write_string_to_buffer (guint8 **buffer,
                                      guint16 *buffer_size,
                                      guint8 length_prefix_size,
                                      const gchar *in);

`qmi_utils_write_string_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_string()` instead.

Writes a string to the buffer.

If `length_prefix_size` is greater than 0, a length prefix integer will be included in the write operation.

The user needs to make sure that the buffer has enough space for both the whole string and the length prefix.

Also note that both `buffer` and `buffer_size` get updated after the write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
length_prefix_size | size of the length prefix integer in bits. |
in | string to write. |

Since: 1.0

### qmi_utils_write_fixed_size_string_to_buffer ()

    void
    qmi_utils_write_fixed_size_string_to_buffer
                                   (guint8 **buffer,
                                    guint16 *buffer_size,
                                    guint16 fixed_size,
                                    const gchar *in);

`qmi_utils_write_fixed_size_string_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_string()` instead.

Writes a `fixed_size` -sized string to the buffer, without any length prefix.

The user needs to make sure that the buffer is at least `fixed_size` bytes long.

Also note that both `buffer` and `buffer_size` get updated after the `fixed_size` bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
fixed_size | number of bytes to write. |
in | string to write. |

Since: 1.0

### qmi_message_get_version_introduced ()

    gboolean
    qmi_message_get_version_introduced (QmiMessage *self,
                                        guint *major,
                                        guint *minor);

`qmi_message_get_version_introduced` has been deprecated since version 1.18 and should not be used in newly-written code.

Use `qmi_message_get_version_introduced_full()` instead.

Gets, if known, the service version in which the given message was first introduced.

#### Parameters

self | a QmiMessage. |
major | (out) return location for the major version. |
minor | (out) return location for the minor version. |

#### Returns

`TRUE` if `major` and `minor` are set, `FALSE` otherwise.

Since: 1.0

### qmi_message_get_printable ()

    gchar *
    qmi_message_get_printable (QmiMessage *self,
                               const gchar *line_prefix);

`qmi_message_get_printable` has been deprecated since version 1.18 and should not be used in newly-written code.

Use `qmi_message_get_printable_full()` instead.

Gets a printable string with the contents of the whole QMI message.

If known, the printable string will contain translated TLV values as well as the raw data buffer contents.

#### Parameters

self | a QmiMessage. |
line_prefix | prefix string to use in each new generated line. |

#### Returns

a newly allocated string, which should be freed with `g_free()`.

[transfer full]

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_get_new ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_get_new
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar **arg_new,
                                    GError **error);

`qmi_message_dms_set_service_programming_code_input_get_new` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use `qmi_message_dms_set_service_programming_code_input_get_new_code()` instead.

Get the 'New Code' field from `self` .

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
arg_new | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_set_new ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_set_new
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar *arg_new,
                                    GError **error);

`qmi_message_dms_set_service_programming_code_input_set_new` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use `qmi_message_dms_set_service_programming_code_input_set_new_code()` instead.

Set the 'New Code' field in the message.

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
arg_new | a constant string of exactly 6 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_get_current ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_get_current
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar **arg_current,
                                    GError **error);

`qmi_message_dms_set_service_programming_code_input_get_current` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use `qmi_message_dms_set_service_programming_code_input_get_current_code()` instead.

Get the 'Current Code' field from `self` .

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
arg_current | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_set_current ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_set_current
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar *arg_current,
                                    GError **error);

`qmi_message_dms_set_service_programming_code_input_set_current` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use `qmi_message_dms_set_service_programming_code_input_set_current_code()` instead.

Get the 'Current Code' field from `self` .

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
arg_current | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_tlv_read_gfloat ()

    gboolean
    qmi_message_tlv_read_gfloat (QmiMessage *self,
                                 gsize tlv_offset,
                                 gsize *offset,
                                 gfloat *out,
                                 GError **error);

`qmi_message_tlv_read_gfloat` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_tlv_read_gfloat_endian()` instead.

Reads a 32-bit floating-point number from the TLV.

`offset` needs to point to a valid `gsize` specifying the index to start reading from within the TLV value (0 for the first item). If the variable is successfully read, `offset` will be updated to point past the read item.

The implementation assumes the float is encoded with the same endianness as the host, which may not be true. The use of this method is discouraged, and new code should use `qmi_message_tlv_read_gfloat_endian()` instead.

#### Parameters

self | a QmiMessage. |
tlv_offset | offset that was returned by `qmi_message_tlv_read_init()`. |
offset | address of a the offset within the TLV value. |
out | return location for the read gfloat. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the variable is successfully read, otherwise `FALSE` is returned and `error` is set.

Since: 1.12

### qmi_message_uim_change_pin_input_get_session_information ()

    gboolean
    qmi_message_uim_change_pin_input_get_session_information
                                   (QmiMessageUimChangePinInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_change_pin_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_change_pin_input_get_session()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimChangePinInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_change_pin_input_set_session_information ()

    gboolean
    qmi_message_uim_change_pin_input_set_session_information
                                   (QmiMessageUimChangePinInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_change_pin_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_change_pin_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimChangePinInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_get_file_attributes_input_get_session_information ()

    gboolean
    qmi_message_uim_get_file_attributes_input_get_session_information
                                   (QmiMessageUimGetFileAttributesInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_get_file_attributes_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_get_file_attributes_input_get_session()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimGetFileAttributesInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_get_file_attributes_input_set_session_information ()

    gboolean
    qmi_message_uim_get_file_attributes_input_set_session_information
                                   (QmiMessageUimGetFileAttributesInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_get_file_attributes_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_get_file_attributes_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimGetFileAttributesInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_record_input_get_session_information ()

    gboolean
    qmi_message_uim_read_record_input_get_session_information
                                   (QmiMessageUimReadRecordInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_read_record_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_read_record_input_get_session_information()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_record_input_set_session_information ()

    gboolean
    qmi_message_uim_read_record_input_set_session_information
                                   (QmiMessageUimReadRecordInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_read_record_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_read_record_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_get_session_information ()

    gboolean
    qmi_message_uim_read_transparent_input_get_session_information
                                   (QmiMessageUimReadTransparentInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_read_transparent_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_read_transparent_input_get_session()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_set_session_information ()

    gboolean
    qmi_message_uim_read_transparent_input_set_session_information
                                   (QmiMessageUimReadTransparentInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_read_transparent_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_read_transparent_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_set_pin_protection_input_get_session_information ()

    gboolean
    qmi_message_uim_set_pin_protection_input_get_session_information
                                   (QmiMessageUimSetPinProtectionInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_set_pin_protection_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_set_pin_protection_input_get_session()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimSetPinProtectionInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_set_pin_protection_input_set_session_information ()

    gboolean
    qmi_message_uim_set_pin_protection_input_set_session_information
                                   (QmiMessageUimSetPinProtectionInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_set_pin_protection_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_set_pin_protection_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimSetPinProtectionInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_unblock_pin_input_get_session_information ()

    gboolean
    qmi_message_uim_unblock_pin_input_get_session_information
                                   (QmiMessageUimUnblockPinInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_unblock_pin_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_unblock_pin_input_get_session()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimUnblockPinInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_unblock_pin_input_set_session_information ()

    gboolean
    qmi_message_uim_unblock_pin_input_set_session_information
                                   (QmiMessageUimUnblockPinInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_unblock_pin_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_unblock_pin_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimUnblockPinInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_verify_pin_input_get_session_information ()

    gboolean
    qmi_message_uim_verify_pin_input_get_session_information
                                   (QmiMessageUimVerifyPinInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_verify_pin_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_verify_pin_input_get_session()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimVerifyPinInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_verify_pin_input_set_session_information ()

    gboolean
    qmi_message_uim_verify_pin_input_set_session_information
                                   (QmiMessageUimVerifyPinInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_verify_pin_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_verify_pin_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimVerifyPinInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

## Types and Values

### QMI_NAS_SIM_REJECT_STATE_SIM_VAILABLE

    #define QMI_NAS_SIM_REJECT_STATE_SIM_VAILABLE (QmiDeprecatedNasSimRejectState) QMI_NAS_SIM_REJECT_STATE_SIM_AVAILABLE

`QMI_NAS_SIM_REJECT_STATE_SIM_VAILABLE` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use the correct QMI_NAS_SIM_REJECT_STATE_SIM_AVAILABLE name instead.

SIM available.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT

    #define QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT

`QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT name instead.

Address is valid but not yet allocated.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE

    #define QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE

`QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE name instead.

Address is invalid.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE

    #define QMI_WDS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE

`QMI_WDS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE name instead.

Network resource shortage.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_NETWORK_FAILURE

    #define QMI_WDS_CDMA_CAUSE_CODE_NETWORK_FAILURE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_NETWORK_FAILURE

`QMI_WDS_CDMA_CAUSE_CODE_NETWORK_FAILURE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_NETWORK_FAILURE name instead.

Network failed.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID

    #define QMI_WDS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID

`QMI_WDS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID name instead.

SMS teleservice ID is invalid.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_NETWORK_OTHER

    #define QMI_WDS_CDMA_CAUSE_CODE_NETWORK_OTHER (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_NETWORK_OTHER

`QMI_WDS_CDMA_CAUSE_CODE_NETWORK_OTHER` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_NETWORK_OTHER name instead.

Other network error.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE name instead.

No page response from destination.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_BUSY

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_BUSY (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_BUSY

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_BUSY` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_BUSY name instead.

Destination is busy.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK name instead.

No acknowledge from destination.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE name instead.

Destination resource shortage.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED name instead.

SMS delivery postponed.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE name instead.

Destination out of service.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS name instead.

Destination not at address.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OTHER

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OTHER (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_OTHER

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OTHER` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_OTHER name instead.

Other destination error.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE

    #define QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE

`QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE name instead.

Radio interface resource shortage.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY

    #define QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY

`QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY name instead.

Radio interface incompatibility.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER

    #define QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER

`QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER name instead.

Other radio interface error

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_ENCODING

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_ENCODING (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_ENCODING

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_ENCODING` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_ENCODING name instead.

Encoding error.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED name instead.

SMS origin denied.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED name instead.

SMS destination denied.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED name instead.

Supplementary service not supported.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED name instead.

SMS not supported.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER name instead.

Missing optional expected parameter.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER name instead.

Missing mandatory parameter.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE name instead.

Unrecognized parameter value.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE name instead.

Unexpected parameter value.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR name instead.

User data size error.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_OTHER

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_OTHER (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_OTHER

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_OTHER` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_OTHER name instead.

Other general error.

Since: 1.0

### QMI_PROTOCOL_ERROR_QOS_UNAVAILABLE

    #define QMI_PROTOCOL_ERROR_QOS_UNAVAILABLE (QmiProtocolError) QMI_PROTOCOL_ERROR_REQUESTED_NUMBER_UNSUPPORTED

`QMI_PROTOCOL_ERROR_QOS_UNAVAILABLE` has been deprecated since version 1.22.0 and should not be used in newly-written code.

Use the QMI_PROTOCOL_ERROR_REQUESTED_NUMBER_UNSUPPORTED instead.

QoS unavailable.

Since: 1.0